class DigicodeLogModel {
  int? id;
  int? digicodeId;
  String? code;
  int? typedAt;
  int? success;
  int? display;
  int? manualUnlock;
  String? digicodeName;
  String? labelTyper;
  String? publicName;
  String? utcModifier;

  DigicodeLogModel(
      {this.id,
      this.digicodeId,
      this.code,
      this.typedAt,
      this.success,
      this.display,
      this.manualUnlock,
      this.digicodeName,
      this.labelTyper,
      this.publicName,
      this.utcModifier});

  DigicodeLogModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["digicodeId"] is int) this.digicodeId = json["digicodeId"];
    if (json["code"] is String) this.code = json["code"];
    if (json["typedAt"] is int) this.typedAt = json["typedAt"];
    if (json["success"] is int) this.success = json["success"];
    if (json["display"] is int) this.display = json["display"];
    if (json["manualUnlock"] is int) this.manualUnlock = json["manualUnlock"];
    if (json["digicodeName"] is String)
      this.digicodeName = json["digicodeName"];
    if (json["labelTyper"] is String) this.labelTyper = json["labelTyper"];
    if (json["publicName"] is String) this.publicName = json["publicName"];
    if (json["utcModifier"] is String) this.utcModifier = json["utcModifier"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["digicodeId"] = this.digicodeId;
    data["code"] = this.code;
    data["typedAt"] = this.typedAt;
    data["success"] = this.success;
    data["display"] = this.display;
    data["manualUnlock"] = this.manualUnlock;
    data["digicodeName"] = this.digicodeName;
    data["labelTyper"] = this.labelTyper;
    data["publicName"] = this.publicName;
    data["utcModifier"] = this.utcModifier;
    return data;
  }
}
